<?php
/**
 * ブログアーカイブ一覧
 */
$this->BcBaser->css('admin/colorbox/colorbox', array('inline' => true));
$this->BcBaser->js('admin/jquery.colorbox-min-1.4.5', false);
$this->BcBaser->setDescription($this->Blog->getTitle().'｜'.$this->BcBaser->getContentsTitle().'のアーカイブ一覧です。');
?>

<script type="text/javascript">
$(function(){
	if($("a[rel='colorbox']").colorbox) $("a[rel='colorbox']").colorbox({transition:"fade"});
});
</script>


<!--パンクズ-->
<ul id="bread">
<li><?php $this->BcBaser->link('トップページ','/') ?></li>
<li><?php $this->BcBaser->contentsTitle() ?></li>
</ul>
<!--パンクズ-->

<!--下層ページタイトル-->
<div id="in_title">
<?php $this->BcBaser->img('main_in.jpg',array('alt'=>'下層ページタイトル背景','width'=>'690px','height'=>'130px')) ?>
<h2><?php $this->BcBaser->contentsTitle() ?></h2>
</div>
<!--下層ページタイトル-->

<h2 class="content_ttl"><?php $this->BcBaser->contentsTitle() ?> 一覧</h2>

<?php if(!empty($posts)): ?>
<?php foreach($posts as $post): ?>
<div class="post">
	<h4 class="contents-head">
		<?php $this->Blog->postTitle($post) ?>
	</h4>
	<?php $this->Blog->postContent($post,true,true) ?>
	<div class="meta"> <span>
		<?php $this->Blog->category($post) ?>
		&nbsp;
		<?php $this->Blog->postDate($post) ?>
		&nbsp;
		<?php $this->Blog->author($post) ?>
		</span> </div>
	<?php $this->BcBaser->element('blog_tag', array('post' => $post)) ?>
</div>
<?php endforeach; ?>
<?php else: ?>
<p class="no-data">記事がありません。</p>
<?php endif; ?>
<!-- pagination -->
<?php $this->BcBaser->	pagination('simple'); ?>