<?php
/* SVN FILE: $Id$ */
/**
 * [PUBLISH] 記事一覧
 *
 * BaserHelper::blogPosts( コンテンツ名, 件数 ) で呼び出す
 * （例）<?php $bcBaser->blogPosts('news', 3) ?>
 *
 * PHP versions 5
 *
 * baserCMS :  Based Website Development Project <http://basercms.net>
 * Copyright 2008 - 2012, baserCMS Users Community <http://sites.google.com/site/baserusers/>
 *
 * @copyright		Copyright 2008 - 2012, baserCMS Users Community
 * @link			http://basercms.net baserCMS Project
 * @package			baser.plugins.blog.views
 * @since			baserCMS v 0.1.0
 * @version			$Revision$
 * @modifiedby		$LastChangedBy$
 * @lastmodified	$Date$
 * @license			http://basercms.net/license/index.html
 */
?>
<?php if($posts): ?>
	<?php foreach($posts as $key => $post): ?>
		<?php $class = array('clearfix', 'post-'.($key+1)) ?>
		<?php if($this->BcArray->first($posts, $key)): ?>
			<?php $class[] = 'first' ?>
		<?php elseif($this->BcArray->last($posts, $key)): ?>
			<?php $class[] = 'last' ?>
		<?php endif ?>
        <div class="news_in linkbox">
		<time class="news_in_date"><?php $this->Blog->postDate($post, 'Y.m.d') ?></time>
		<p><?php $this->Blog->postTitle($post) ?></p>
	</div>   
	<?php endforeach ?>

<?php else: ?>
<p class="no-data">記事がありません</p>
<?php endif ?>